| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::SimpleContactPresences Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- SimpleContactPresences ()
- SimpleContactPresences (const QMap< uint, SimplePresence > &a)
- SimpleContactPresences & operator= (const QMap< uint, SimplePresence > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, SimplePresence>, but needed to have a discrete type in the Qt type system.

Mapping returned by GetPresences and signalled by PresencesChanged, indicating the presence of a number of contacts.

## Constructor & Destructor Documentation

Tp::SimpleContactPresences::SimpleContactPresences | ( |  | ) | `[inline]`

Tp::SimpleContactPresences::SimpleContactPresences | ( | const QMap< uint, SimplePresence > & | a | ) | `[inline]`

## Member Function Documentation

SimpleContactPresences& Tp::SimpleContactPresences::operator= | ( | const QMap< uint, SimplePresence > & | a | ) | `[inline]`